
#include "decs.h"

void stepvar()
{
	void potsolv();
	void step_pg();
	void step_visc();
	void step_ie();
	void step_cool();
	void step_trans();
	void fixup();
	static int nstep = 0;

	/* solve for potential */
	if (G > 0.)
		potsolv(S, pot);

	/* source steps */
	step_pg();
	step_visc();
	if (fabs(g2 - 1.) > 1.e-6) {
		step_ie();
		step_cool();
	}

	/* transport steps */
	step_trans();

	/* eliminate small densities, energies */
	fixup();

	t += dt;
	nstep++;
}
